Subject: FVWM: functions w/ params sluggish

From: Elliot Sowadsky <[email-masked]>
Date: Thu, 17 Feb 2000 14:07:29 -0800 (PST)

I just changed my fvwm2rc to using one general function, feeding it parameters instead of having multple unique functions.

AddToFunc "Clk-Dclk-HldMv" "C" $0
+		"D" $1
+		"H" $2
+		"M" $2

Mouse 1		I	A	Clk-Dclk-HldMv Iconify Nop Winlistfunc

and i find that there's a noticeable delay if i do it this way instead of
calling a unique function to do the same thing.

Even this is slow to (de)Iconify...

AddToFunc "Clk-Dclk-HldMv" "C" Iconify
+		"D" $1

Mouse 1		I	A	Clk-Dclk-HldMv Nop

fvwm 2.3.13
solaris 2.51 on ultra 1
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].